Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Malloc_Base.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/sys/os_mman.h"`

Include dependency graph for Malloc_Base.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Allocator
| Interface for a dynamic memory allocator that uses inheritance and dynamic binding to provide extensible mechanisms for allocating and deallocating memory. More...

## Detailed Description

Id:
  Malloc_Base.h,v 4.16 2003/07/19 19:04:12 dhinton Exp

Author:
  Doug Schmidt and Irfan Pyarali